package com.mycompany.app;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.actuate.health.AbstractHealthIndicator;
import org.springframework.boot.actuate.health.Health;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class App {
    public static void main(final String[] args) {
        SpringApplication.run(App.class, args);
    }

    @Bean
    AbstractHealthIndicator nanoTime() {
        return new AbstractHealthIndicator() {
            @Override
            public void doHealthCheck(final Health.Builder builder) {
                builder.up();
                builder.withDetail("nanoTime", System.nanoTime());
            }
        };
    }
}
